Bug 1089871 - Cluster node vanishes in velum after accepting it
Cluster node vanishes in velum after accepting it
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kubic
Current
Other Other
: P1 - Urgent : Critical (vote)
: ---
Assigned To: Containers Team
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-17 13:08 UTC by Thorsten Kukuk
Modified: 2018-08-14 13:02 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
supportconfig from admin node (1.08 MB, application/x-bzip-compressed-tar)
2018-04-17 13:10 UTC, Thorsten Kukuk
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thorsten Kukuk 2018-04-17 13:08:48 UTC
Kubic with all salt and container fixes (image from https://build.opensuse.org/project/monitor/devel:CaaSP:1.0). 
You can:
connect to velum
create account
login
Start cluster nodes which connect to this server
Accept Cluster nodes in velum
-> cluster nodes are no longer visible in velum
But: login to salt-master container, salt-key will list the cluster nodes as accepted.

That's currently blocking all further deployment testing and work.
Comment 1 Thorsten Kukuk 2018-04-17 13:10:26 UTC
Created attachment 767413 [details]
supportconfig from admin node
Comment 2 Thorsten Kukuk 2018-06-04 11:45:18 UTC
This requires the following pull request:
https://github.com/kubic-project/salt/pull/513
Comment 3 Thorsten Kukuk 2018-08-14 13:02:09 UTC
Works since some time already.